<?php
include_once('functions/theme_addfunc.php');
include_once('functions/pagination.php');
include_once('functions/breadcrumbs.php');
//подключаем скрипт вывода виджетов в админке
include (get_template_directory() . '/widgets/widgets.php' ); 

//Регистрируем поддержку WooCommerce нашей темой.
add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}


//получить URL
function request_url()
{
  $result = ''; // Пока результат пуст
  $default_port = 80; // Порт по-умолчанию
  // А не в защищенном-ли мы соединении?
  if (isset($_SERVER['HTTPS']) && ($_SERVER['HTTPS']=='on')) {
    // В защищенном! Добавим протокол...
    $result .= 'https://';
    // ...и переназначим значение порта по-умолчанию
    $default_port = 443;
  } else {
    // Обычное соединение, обычный протокол
    $result .= 'http://';
  }
  // Имя сервера, напр. site.com или www.site.com
  $result .= $_SERVER['SERVER_NAME'];
  // А порт у нас по-умолчанию?
  if ($_SERVER['SERVER_PORT'] != $default_port) {
    // Если нет, то добавим порт в URL
    $result .= ':'.$_SERVER['SERVER_PORT'];
  }
  // Последняя часть запроса (путь и GET-параметры).
  $result .= $_SERVER['REQUEST_URI'];
  // Уфф, вроде получилось!
  return $result;
}
//вторая функция для url
function getUrl() {
  $url  = @( $_SERVER["HTTPS"] != 'on' ) ? 'http://'.$_SERVER["SERVER_NAME"] :  'https://'.$_SERVER["SERVER_NAME"];
  $url .= ( $_SERVER["SERVER_PORT"] != 80 ) ? ":".$_SERVER["SERVER_PORT"] : "";
  $url .= $_SERVER["REQUEST_URI"];
  return $url;
}  
//Пример использования    echo getUrl();

//проверить содержит ли строка подстроку
add_action('single_template', 'template_singl');
function template_singl(){
if(strpos(request_url(),'novosti')!=false){return TEMPLATEPATH . "/single-blog.php";}
if(strpos(request_url(),'postery')!=false){return TEMPLATEPATH . "/single-postery.php";}
if(strpos(request_url(),'futbolki')!=false){return TEMPLATEPATH . "/single-futbolki.php";}
if(strpos(request_url(),'kruzhki')!=false){return TEMPLATEPATH . "/single-kruzhki.php";}
if(strpos(request_url(),'naklejki')!=false){return TEMPLATEPATH . "/single-naklejki.php";}
if(strpos(request_url(),'magnity')!=false){return TEMPLATEPATH . "/single-magnity.php";}
if(strpos(request_url(),'bloknoty')!=false){return TEMPLATEPATH . "/single-bloknoty.php";}
if(strpos(request_url(),'pechati')!=false){return TEMPLATEPATH . "/single-pechati.php";}
else {return TEMPLATEPATH . "/single-arty.php";}
//else if(strpos(request_url(),'/')!=false){return TEMPLATEPATH . "/single-arty.php";}
}

// еще варианты
//$currenturl = get_permalink();
//$Path=$_SERVER['REQUEST_URI'];
//$URI='http://www.example.com'.$Path;


//отключаем стандартные функции редактора Ttynimce
function change_mce_options($initArray) {
 
    $initArray['verify_html'] = false;
    $initArray['cleanup_on_startup'] = false;
    $initArray['cleanup'] = false;
    $initArray['forced_root_block'] = false;
    $initArray['validate_children'] = false;
    $initArray['remove_redundant_brs'] = false;
    $initArray['remove_linebreaks'] = false;
    $initArray['force_p_newlines'] = false;
    $initArray['force_br_newlines'] = false;
    $initArray['fix_table_elements'] = false;
 
    $initArray['entities'] = '160,nbsp,38,amp,60,lt,62,gt';
 
    return $initArray;
}
add_filter('tiny_mce_before_init', 'change_mce_options'); 
?>
