<?php
/*
Template Name: page-for-blog
 * The template for displaying featured posts on the page-for-blog and ful width none sidebar
*/
?>
<?php  get_header(); ?>
<style type="text/css">
.post {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 1px 3px #ccc;
}
.post-navigation {
    clear: none !important;
    float: right;
    padding: 0.5%;
    width: 74%;
}
</style>
<div class="container">
<?php if (file_exists(TEMPLATEPATH.'/sidebar.php')) {require(TEMPLATEPATH.'/sidebar.php');}; ?>
<?php
 $current_page = (get_query_var('paged')) ? get_query_var('paged') : 1;
$params = array(
		'category_name'  => 'novosti',
	//'post_type'       => 'artwork', // тип постов
	'paged'           => $current_page // текущая страница
);
query_posts($params);
 while (have_posts()) : the_post(); ?>
			<div class="post" id="post-<?php  the_ID(); ?>">
			<div class="title">
			<?php
$cat= get_category_by_slug('novosti');
echo $cat->cat_name;?><span>→</span>
			<a class="posthed" href="<?php  the_permalink(); ?>"><?php  the_title(); ?></a>
			</div>
				<div class="entry">
 <div class="imgpost">
 <?php
   $my_custom = get_post_custom();
   $imagetitle = $my_custom['image-title'][0];
 if ( has_post_thumbnail()) { ?>
   <a href="<?php  the_permalink(); ?>" title="<?php  the_title_attribute(); ?>" > <?php  the_post_thumbnail('thumbnail'); ?> </a>
 <?php  } else{ echo get_post_image();} ?>
 <h6><?php echo $imagetitle ?></h6>
</div>
<?php  the_excerpt(); ?><span style="float:right;"><a href="<?php the_permalink();?>">Далее...</a></span>
				</div>
<ul class="entryhead">
	<li class="full-time"><?php  the_time('j F Y');?> </li>
	<?php $category = get_the_category(); ?>
    <li class="my-account"><?php the_author(); ?></li>
</ul>
			</div><!-- .post -->
		<?php  endwhile; ?>
	<?php wp_reset_postdata();?>
<?php  if (function_exists('kama_pagenavi')) kama_pagenavi(); ?>
</div><!-- .container-->
<?php  get_footer(); ?>